#!/bin/sh
#
# $FreeBSD: ports/security/clamsmtp/files/clamsmtpd.sh.in,v 1.5 2006/02/21 09:41:06 clsung Exp $
#
# PROVIDE: clamsmtpd
# REQUIRE: DAEMON clamd
#
# Add the fellowing line to /etc/rc.conf.local or /etc/rc.conf
# to enable clamsmtpd:
#
# clamsmtpd_enable (bool):	Set it to "YES" to enable clamsmtpd
#				Default is "NO".
# clamsmtpd_conf (file):	Set location of your configuration file.
#				Default is "/usr/local/etc/clamsmtpd.conf"
#

. /etc/rc.subr

name="clamsmtpd"
rcvar=${name}_enable

: ${clamsmtpd_enable="NO"}
: ${clamsmtpd_conf="/usr/local/etc/clamsmtpd.conf"}
: ${clamsmtpd_pid="/var/run/clamav/clamsmtpd.pid"}

load_rc_config ${name}

command=/usr/local/sbin/${name}
command_args="-f ${clamsmtpd_conf} -p ${clamsmtpd_pid}"
required_files=${clamsmtpd_conf}
pidfile=${clamsmtpd_pid}
sig_stop=-KILL

run_rc_command "$1"
